openapi: 3.0.3
info:
  title: App Services Metrics API
  description: >-
    # Introduction


    App Services manages access and synchronization between Couchbase Lite and
    Couchbase Capella.

    The App Services Metrics REST API returns App Services metrics, in
    Prometheus-compatible format, for performance monitoring and diagnostic
    purposes.
  version: '4.0'
  license:
    name: Business Source License 1.1 (BSL)
    url: 'https://github.com/couchbase/sync_gateway/blob/master/LICENSE'
servers:
  - url: 'https://{hostname}:4988'
    description: Metrics API
    variables:
      hostname:
        description: The hostname to use
        default: localhost
tags:
  - name: Prometheus
    description: Endpoints for use with Prometheus
externalDocs:
  description: ⬆️ Manage App Services with the App Services API
  url: rest-api-introduction.html
paths:
  /metrics:
    get:
      summary: >-
        Get debugging and monitoring runtime stats in Prometheus Exposition
        format
      operationId: get_metrics
      tags:
        - Prometheus
      description: >
        Returns App Services statistics and other runtime variables in
        Prometheus Exposition format.
      responses:
        '200':
          description: >-
            Successfully returned statistics.

            For details, see [Prometheus
            Metrics](/sync-gateway/current/stats-monitoring-prometheus.html).
          content:
            application/json:
              schema:
                $ref: metrics_metadata.json
components: {}

